package de.ivu.elect.business.wahl.entity;

import java.util.List;

import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.presentation.gebietsbaum.form.AbstractEntityRolleProperty;

/**
 *  on 19.02.2016.
 */
public class WahlOderWahlterminEinsehenRolleProperty extends AbstractEntityRolleProperty<WahlOderWahltermin> {

  public WahlOderWahlterminEinsehenRolleProperty(WahlOderWahltermin entity, List<Rolle> values, String noSelectionLabel) {
    super(entity, values, noSelectionLabel);
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(getEntity().getEinsehenRolleMessageKey());
  }

  @Override
  public Rolle getValue() {
    return getEntity().getEinsehenRolle();
  }

  @Override
  public void setValue(Rolle rolle) {
    getEntity().setEinsehenRolle(rolle);
  }
}
